Index: tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/adapters/ReferencerAdapterFactory.java
===================================================================
--- tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/adapters/ReferencerAdapterFactory.java	(revision 1060)
+++ tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/adapters/ReferencerAdapterFactory.java	(revision 1061)
@@ -20,7 +20,7 @@
 	
 	public static final ImageDescriptor ICON =
 			AbstractUIPlugin.imageDescriptorFromPlugin(FrameworkUtil.getBundle(ReferencerAdapterFactory.class).getSymbolicName(),
-					"platform:/plugin/"+ FrameworkUtil.getBundle(ReferencerAdapterFactory.class).getSymbolicName() + "/icons/functions/referencer.png"); //$NON-NLS-1$
+					"platform:/plugin/"+ FrameworkUtil.getBundle(ReferencerAdapterFactory.class).getSymbolicName() + "/icons/functions/referencer.png"); //$NON-NLS-1$ //$NON-NLS-2$
 
 	@Override
 	public Object getAdapter(Object adaptableObject, Class adapterType) {
Index: tmp/org.txm.para.core/src/org/txm/para/core/functions/ParallelContexts.java
===================================================================
--- tmp/org.txm.para.core/src/org/txm/para/core/functions/ParallelContexts.java	(revision 1060)
+++ tmp/org.txm.para.core/src/org/txm/para/core/functions/ParallelContexts.java	(revision 1061)
@@ -18,7 +18,7 @@
 import org.txm.searchengine.cqp.corpus.QueryResult;
 import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
 import org.txm.searchengine.cqp.corpus.query.Match;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.searchengine.cqp.serverException.CqiServerError;
 
 public class ParallelContexts {
@@ -60,7 +60,7 @@
 			//String lang = corpus.getLang();
 			String query = queries.get(num);
 			System.out.println(corpus.getName()+" query: "+query);
-			QueryResult result = corpus.query(new Query(query), "TMP", true);
+			QueryResult result = corpus.query(new CQLQuery(query), "TMP", true);
 
 			try {
 				List<Match> matches = result.getMatches();
@@ -162,7 +162,7 @@
 					ref = corpus.getStructuralUnit(split[0]).getProperty(split[1]);
 
 				// get the seg that actually are in the corpus
-				QueryResult resul2t = corpus.query(new Query(segquery), "TMP", true);
+				QueryResult resul2t = corpus.query(new CQLQuery(segquery), "TMP", true);
 				int[] struct_starts = resul2t.getStarts();
 				int[] struct_pos = CQPSearchEngine.getCqiClient().cpos2Struc(align_id.getQualifiedName(), struct_starts);
 				String[] struct_ids = CQPSearchEngine.getCqiClient().struc2Str(align_id.getQualifiedName(), struct_pos);
@@ -178,7 +178,7 @@
 				//System.out.println("ref values: "+Arrays.toString(ref_values));
 
 				// get the words values of segs
-				QueryResult result = corpus.query(new Query(segquery+"+</"+struct+">"), "TMP", false);
+				QueryResult result = corpus.query(new CQLQuery(segquery+"+</"+struct+">"), "TMP", false);
 				List<Match> matches = result.getMatches();
 				//System.out.println("seg matches: "+matches);
 				ArrayList<Integer> positions = new ArrayList<Integer>();
Index: tmp/org.txm.para.core/src/org/txm/para/core/functions/ParaBrowser.java
===================================================================
--- tmp/org.txm.para.core/src/org/txm/para/core/functions/ParaBrowser.java	(revision 1060)
+++ tmp/org.txm.para.core/src/org/txm/para/core/functions/ParaBrowser.java	(revision 1061)
@@ -18,7 +18,7 @@
 import org.txm.searchengine.cqp.corpus.StructuralUnit;
 import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
 import org.txm.searchengine.cqp.corpus.query.Match;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.searchengine.cqp.corpus.query.QueryPart;
 import org.txm.utils.Pair;
 import org.txm.utils.i18n.LangFormater;
@@ -47,14 +47,14 @@
 	public String getNextOrPrevious(MainCorpus corpus, StructuralUnit unit,
 			StructuralUnitProperty property, String value, boolean isNext) {
 		String next = "";
-		Query query = null;
+		CQLQuery query = null;
 		System.out.println("GET NEXT or PREVIOUS : " + value + " unit " + unit
 				+ " property " + property + " next? " + isNext);
 		if (isNext) {
-			query = new Query("<" + unit.getName() + "_id=\"" + value
+			query = new CQLQuery("<" + unit.getName() + "_id=\"" + value
 					+ "\">[]+</" + unit.getName() + ">[]");
 		} else {
-			query = new Query("<" + unit.getName() + ">[]+" + "</"
+			query = new CQLQuery("<" + unit.getName() + ">[]+" + "</"
 					+ unit.getName() + "><" + unit.getName() + "_id=\"" + value
 					+ "\">[]+");
 		}
@@ -144,7 +144,7 @@
 	 */
 	public Pair<String, QueryResult> getTextRegion(MainCorpus corpus, StructuralUnit unit,
 			StructuralUnitProperty property, String value) {
-		Query query = new QueryPart(unit, property, value);
+		CQLQuery query = new QueryPart(unit, property, value);
 		System.out.println("GET REGION : " + value);
 
 		String text = "";
Index: tmp/org.txm.queryindex.rcp/src/org/txm/queryindex/rcp/editors/queryindex/QueryIndexEditor.java
===================================================================
--- tmp/org.txm.queryindex.rcp/src/org/txm/queryindex/rcp/editors/queryindex/QueryIndexEditor.java	(revision 1060)
+++ tmp/org.txm.queryindex.rcp/src/org/txm/queryindex/rcp/editors/queryindex/QueryIndexEditor.java	(revision 1061)
@@ -88,7 +88,7 @@
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.Partition;
 import org.txm.searchengine.cqp.corpus.Property;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.statsengine.r.rcp.views.RVariablesView;
 import org.txm.utils.logger.Log;
 
@@ -267,9 +267,9 @@
 		createQueryIndex();
 
 		StatusLine.setMessage(IndexUIMessages.IndexEditor_33);
-		final Query query; // if the query is empty then we put "[]" instead
+		final CQLQuery query; // if the query is empty then we put "[]" instead
 		if (!queryWidget.getQueryString().equals("\"\"")) {//$NON-NLS-1$
-			query = new Query(queryWidget.getQueryString());
+			query = new CQLQuery(queryWidget.getQueryString());
 		} else {
 			System.err.println(IndexUIMessages.IndexEditor_0);
 			return;
Index: tmp/org.txm.queryindex.rcp/src/org/txm/queryindex/core/functions/QueryIndexLine.java
===================================================================
--- tmp/org.txm.queryindex.rcp/src/org/txm/queryindex/core/functions/QueryIndexLine.java	(revision 1060)
+++ tmp/org.txm.queryindex.rcp/src/org/txm/queryindex/core/functions/QueryIndexLine.java	(revision 1061)
@@ -2,17 +2,17 @@
 
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.QueryResult;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 
 public class QueryIndexLine {
 	String name;
-	private Query query;
+	private CQLQuery query;
 	QueryResult[] qresults;
 	int[] freqs;
 	int total;
 
 
-	public QueryIndexLine(String name, Query query, QueryResult[] qresults) {
+	public QueryIndexLine(String name, CQLQuery query, QueryResult[] qresults) {
 		this.qresults = qresults;
 		this.query = query;
 		this.name = name;
@@ -22,7 +22,7 @@
 		return name;
 	}
 
-	public Query getQuery() {
+	public CQLQuery getQuery() {
 		return query;
 	}
 	
Index: tmp/org.txm.queryindex.rcp/src/org/txm/queryindex/core/functions/QueryIndex.java
===================================================================
--- tmp/org.txm.queryindex.rcp/src/org/txm/queryindex/core/functions/QueryIndex.java	(revision 1060)
+++ tmp/org.txm.queryindex.rcp/src/org/txm/queryindex/core/functions/QueryIndex.java	(revision 1061)
@@ -33,7 +33,7 @@
 import org.txm.searchengine.cqp.corpus.Part;
 import org.txm.searchengine.cqp.corpus.Partition;
 import org.txm.searchengine.cqp.corpus.QueryResult;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.utils.logger.Log;
 
 public class QueryIndex extends TXMResult implements IAdaptable {
@@ -202,7 +202,7 @@
 				if (hasLine(split[0])) {
 					System.out.println(TXMCoreMessages.QueryIndex_2+line);
 				} else {
-					if (addLine(split[0], new Query(split[1])) == null) {
+					if (addLine(split[0], new CQLQuery(split[1])) == null) {
 						System.out.println(TXMCoreMessages.QueryIndex_3+line);
 					}
 				}
@@ -275,7 +275,7 @@
 		return partnames;
 	}
 
-	public QueryIndexLine addLine(String name, Query query) throws CqiClientException {
+	public QueryIndexLine addLine(String name, CQLQuery query) throws CqiClientException {
 		if (lines.containsKey(name)) return null;
 		QueryResult[] qresults;
 		if (partition != null) {
Index: tmp/org.txm.queryindex.rcp/src/org/txm/rcp/editors/queryindex/QueryIndexEditor.java
===================================================================
--- tmp/org.txm.queryindex.rcp/src/org/txm/rcp/editors/queryindex/QueryIndexEditor.java	(revision 1060)
+++ tmp/org.txm.queryindex.rcp/src/org/txm/rcp/editors/queryindex/QueryIndexEditor.java	(revision 1061)
@@ -88,7 +88,7 @@
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.Partition;
 import org.txm.searchengine.cqp.corpus.Property;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.statsengine.r.rcp.views.RVariablesView;
 import org.txm.utils.logger.Log;
 
@@ -267,9 +267,9 @@
 		createQueryIndex();
 
 		StatusLine.setMessage(IndexUIMessages.IndexEditor_33);
-		final Query query; // if the query is empty then we put "[]" instead
+		final CQLQuery query; // if the query is empty then we put "[]" instead
 		if (!queryWidget.getQueryString().equals("\"\"")) {//$NON-NLS-1$
-			query = new Query(queryWidget.getQueryString());
+			query = new CQLQuery(queryWidget.getQueryString());
 		} else {
 			System.err.println(IndexUIMessages.IndexEditor_0);
 			return;
Index: tmp/org.txm.queryindex.rcp/src/org/txm/functions/queryindex/QueryIndex.java
===================================================================
--- tmp/org.txm.queryindex.rcp/src/org/txm/functions/queryindex/QueryIndex.java	(revision 1060)
+++ tmp/org.txm.queryindex.rcp/src/org/txm/functions/queryindex/QueryIndex.java	(revision 1061)
@@ -33,7 +33,7 @@
 import org.txm.searchengine.cqp.corpus.Part;
 import org.txm.searchengine.cqp.corpus.Partition;
 import org.txm.searchengine.cqp.corpus.QueryResult;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.utils.logger.Log;
 
 public class QueryIndex extends TXMResult implements IAdaptable {
@@ -202,7 +202,7 @@
 				if (hasLine(split[0])) {
 					System.out.println(TXMCoreMessages.QueryIndex_2+line);
 				} else {
-					if (addLine(split[0], new Query(split[1])) == null) {
+					if (addLine(split[0], new CQLQuery(split[1])) == null) {
 						System.out.println(TXMCoreMessages.QueryIndex_3+line);
 					}
 				}
@@ -275,7 +275,7 @@
 		return partnames;
 	}
 
-	public QueryIndexLine addLine(String name, Query query) throws CqiClientException {
+	public QueryIndexLine addLine(String name, CQLQuery query) throws CqiClientException {
 		if (lines.containsKey(name)) return null;
 		QueryResult[] qresults;
 		if (partition != null) {
Index: tmp/org.txm.queryindex.rcp/src/org/txm/functions/queryindex/QueryIndexLine.java
===================================================================
--- tmp/org.txm.queryindex.rcp/src/org/txm/functions/queryindex/QueryIndexLine.java	(revision 1060)
+++ tmp/org.txm.queryindex.rcp/src/org/txm/functions/queryindex/QueryIndexLine.java	(revision 1061)
@@ -2,17 +2,17 @@
 
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.QueryResult;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 
 public class QueryIndexLine {
 	String name;
-	private Query query;
+	private CQLQuery query;
 	QueryResult[] qresults;
 	int[] freqs;
 	int total;
 
 
-	public QueryIndexLine(String name, Query query, QueryResult[] qresults) {
+	public QueryIndexLine(String name, CQLQuery query, QueryResult[] qresults) {
 		this.qresults = qresults;
 		this.query = query;
 		this.name = name;
@@ -22,7 +22,7 @@
 		return name;
 	}
 
-	public Query getQuery() {
+	public CQLQuery getQuery() {
 		return query;
 	}
 	
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/cmdparameters/ParametersView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/cmdparameters/ParametersView.java	(revision 1060)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/cmdparameters/ParametersView.java	(revision 1061)
@@ -70,7 +70,7 @@
 import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
 import org.txm.searchengine.cqp.corpus.WordProperty;
 //import org.txm.rcp.editors.referencer.ReferencerEditor;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 
 /**
  * Alternative display of the TXMEditor form fields
@@ -249,10 +249,10 @@
 				});
 				c = sp;
 				((Spinner) c).setDigits(2);
-			} else if (clazz.equals(Query.class)) {
+			} else if (clazz.equals(CQLQuery.class)) {
 				final QueryWidget qw = new QueryWidget(panel, SWT.NONE);
 				if (value != null) {
-					qw.setText(((Query) value).getQueryString());
+					qw.setText(((CQLQuery) value).getQueryString());
 				}
 				qw.addSelectionListener(new SelectionListener() {
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 1060)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 1061)
@@ -75,7 +75,7 @@
 import org.txm.rcp.views.debug.TXMResultDebugView;
 import org.txm.searchengine.cqp.ReferencePattern;
 import org.txm.searchengine.cqp.corpus.Property;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.utils.logger.Log;
 
 /**
@@ -881,13 +881,13 @@
 					((NewNavigationWidget)object).setCurrentPosition((Integer) value); 
 				}
 				else if(object instanceof AssistedQueryWidget)	{
-					if(!((Query)value).getQueryString().isEmpty())	{
-						((AssistedQueryWidget)object).setText(((Query)value).getQueryString());
+					if(!((CQLQuery)value).getQueryString().isEmpty())	{
+						((AssistedQueryWidget)object).setText(((CQLQuery)value).getQueryString());
 					}
 				}
 				else if(object instanceof QueryWidget)	{
-					if(!((Query)value).getQueryString().isEmpty())	{
-						((QueryWidget)object).setText(((Query)value).getQueryString());
+					if(!((CQLQuery)value).getQueryString().isEmpty())	{
+						((QueryWidget)object).setText(((CQLQuery)value).getQueryString());
 					}
 				}
 				else	{
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/QueryField.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/QueryField.java	(revision 1060)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/QueryField.java	(revision 1061)
@@ -7,7 +7,7 @@
 import org.eclipse.swt.widgets.Label;
 import org.kohsuke.args4j.NamedOptionDef;
 import org.txm.rcp.swt.widget.QueryWidget;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 
 public class QueryField extends ParameterField {
 	QueryWidget w;
@@ -30,7 +30,7 @@
 		resetToDefault();
 	}
 
-	public Query getWidgetValue() {
+	public CQLQuery getWidgetValue() {
 		return w.getQuery();
 	}
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersDialog.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersDialog.java	(revision 1060)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersDialog.java	(revision 1061)
@@ -32,7 +32,7 @@
 import org.txm.Toolbox;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.rcp.messages.TXMUIMessages;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.utils.logger.Log;
 
 @SuppressWarnings("rawtypes")
@@ -121,7 +121,7 @@
 			} else if ("Folder".equals(widgetName)) { //$NON-NLS-1$
 				value = new File(stringValue);
 			} else if ("Query".equals(widgetName)) { //$NON-NLS-1$
-				value = new Query(stringValue);
+				value = new CQLQuery(stringValue);
 			} else if ("Date".equals(widgetName)) { //$NON-NLS-1$
 				try {
 					value = DateField.formater.parse(stringValue);
Index: tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/commands/ComputeRecette1.java
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/commands/ComputeRecette1.java	(revision 1060)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/commands/ComputeRecette1.java	(revision 1061)
@@ -41,7 +41,7 @@
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.Subcorpus;
 import org.txm.searchengine.cqp.corpus.WordProperty;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.searchengine.cqp.serverException.CqiServerError;
 
 
@@ -84,7 +84,7 @@
 	public static void compute(Corpus corpus) throws CqiClientException, IOException, CqiServerError {
 		System.out.println("****** RECETTE 1 ******");
 		
-		Query query = new Query("#pivot:[word=/[Cc][ou]m?me?/ & pos=\"CONsub\"]");
+		CQLQuery query = new CQLQuery("#pivot:[word=/[Cc][ou]m?me?/ & pos=\"CONsub\"]");
 		ArrayList<WordProperty> props = new ArrayList<WordProperty>();
 		props.add(corpus.getProperty("word"));
 		
@@ -96,14 +96,14 @@
 		System.out.println("V="+tsi.getV());
 		System.out.println("5 first lines: "+tsi.getLines(0, 5));
 		
-		Query query2 = new Query("[headpos=\"VERcjg\" & cat=\"Circ\"] >R #n:[cat=\"RelNC\"] & #n >L #pivot");
+		CQLQuery query2 = new CQLQuery("[headpos=\"VERcjg\" & cat=\"Circ\"] >R #n:[cat=\"RelNC\"] & #n >L #pivot");
 		System.out.println("TSIndex with "+query2+" and "+corpus);
 		tsi = new TSIndex(corpus, query2, props);
 		System.out.println("T="+tsi.getT());
 		System.out.println("V="+tsi.getV());
 		System.out.println("5 first lines: "+tsi.getLines(0, 5));
 		
-		Subcorpus sub = corpus.createSubcorpus(new Query("[q] expand to q"), "Q", true);
+		Subcorpus sub = corpus.createSubcorpus(new CQLQuery("[q] expand to q"), "Q", true);
 		
 		System.out.println("TSIndex with "+query+" and "+sub);
 		tsi = new TSIndex(sub, query, props);
@@ -117,7 +117,7 @@
 		System.out.println("V="+tsi.getV());
 		System.out.println("5 first lines: "+tsi.getLines(0, 5));
 		
-		Subcorpus sub2 = corpus.createSubcorpus(new Query("[!q]"), "NOTQ", true);
+		Subcorpus sub2 = corpus.createSubcorpus(new CQLQuery("[!q]"), "NOTQ", true);
 		
 		System.out.println("TSIndex with "+query+" and "+sub2);
 		tsi = new TSIndex(sub2, query, props);
Index: tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/commands/ComputeRecette2.java
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/commands/ComputeRecette2.java	(revision 1060)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/commands/ComputeRecette2.java	(revision 1061)
@@ -45,7 +45,7 @@
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.Subcorpus;
 import org.txm.searchengine.cqp.corpus.WordProperty;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.searchengine.cqp.serverException.CqiServerError;
 import org.txm.utils.logger.Log;
 
@@ -144,7 +144,7 @@
 	public static void compute(Corpus corpus1, Corpus corpus2) throws CqiClientException, IOException, CqiServerError {
 		System.out.println("****** RECETTE 2 ******");
 
-		Query query = new Query("#pivot:[word=/[Cc][ou]m?me?/ & pos=\"CONsub\"]");
+		CQLQuery query = new CQLQuery("#pivot:[word=/[Cc][ou]m?me?/ & pos=\"CONsub\"]");
 		ArrayList<WordProperty> props = new ArrayList<WordProperty>();
 		props.add(corpus1.getProperty("id"));
 
Index: tmp/org.txm.tigersearch.rcp/src/org/txm/export/ts/PunctInject.groovy
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/export/ts/PunctInject.groovy	(revision 1060)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/export/ts/PunctInject.groovy	(revision 1061)
@@ -16,7 +16,7 @@
 import org.txm.searchengine.cqp.corpus.Corpus
 import org.txm.searchengine.cqp.corpus.CorpusManager;
 import org.txm.searchengine.cqp.corpus.QueryResult;
-import org.txm.searchengine.cqp.corpus.query.Query
+import org.txm.searchengine.cqp.corpus.query.CQLQuery
 
 public class PunctInject
 {
Index: tmp/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TSIndex.java
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TSIndex.java	(revision 1060)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TSIndex.java	(revision 1061)
@@ -29,7 +29,7 @@
 import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
 import org.txm.searchengine.cqp.corpus.WordProperty;
 import org.txm.searchengine.cqp.corpus.query.Match;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.searchengine.cqp.serverException.CqiServerError;
 import org.txm.searchengine.ts.TSCorpus;
 import org.txm.searchengine.ts.TSCorpusManager;
@@ -42,16 +42,16 @@
 	public TSIndex(Corpus corpus, List<WordProperty> props)
 			throws CqiClientException, IOException, CqiServerError {
 		super(corpus);
-		this.setParameters(new Query("[]"), props, null, null, null, null);
+		this.setParameters(new CQLQuery("[]"), props, null, null, null, null);
 	}
 
-	public TSIndex(Corpus corpus, Query query, List<WordProperty> props)
+	public TSIndex(Corpus corpus, CQLQuery query, List<WordProperty> props)
 			throws CqiClientException, IOException, CqiServerError {
 		super(corpus);
 		this.setParameters(query, props, null, null, null, null);
 	}
 
-	public TSIndex(Partition partition, Query query, List<WordProperty> props)
+	public TSIndex(Partition partition, CQLQuery query, List<WordProperty> props)
 			throws CqiClientException, IOException, CqiServerError {
 		super(partition);
 		this.setParameters(query, props, null, null, null, null);
Index: tmp/org.txm.cql2lsa.rcp/src/org/txm/rcp/commands/function/ComputeValuesOfQuery.java
===================================================================
--- tmp/org.txm.cql2lsa.rcp/src/org/txm/rcp/commands/function/ComputeValuesOfQuery.java	(revision 1060)
+++ tmp/org.txm.cql2lsa.rcp/src/org/txm/rcp/commands/function/ComputeValuesOfQuery.java	(revision 1061)
@@ -54,7 +54,7 @@
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.Property;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.utils.logger.Log;
 
 /**
@@ -86,7 +86,7 @@
 		if (dialog.open() == Dialog.CANCEL) return null;
 		final String sprop = dialog.getLemmaProperty();
 		final int fmin = dialog.getFMin();
-		final Query query = dialog.getQuery();
+		final CQLQuery query = dialog.getQuery();
 		
 		System.out.println("Query="+query);
 		System.out.println("Fmin="+fmin);
@@ -184,8 +184,8 @@
 			return lemmaproperty;
 		}
 		
-		Query getQuery() {
-			return new Query(q);
+		CQLQuery getQuery() {
+			return new CQLQuery(q);
 		}
 	}
 }
Index: tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ExpII.java
===================================================================
--- tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ExpII.java	(revision 1060)
+++ tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ExpII.java	(revision 1061)
@@ -34,7 +34,7 @@
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.QueryResult;
 import org.txm.searchengine.cqp.corpus.query.Match;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.searchengine.cqp.serverException.CqiServerError;
 import org.txm.statsengine.r.core.exceptions.RWorkspaceException;
 import org.txm.utils.logger.Log;
@@ -198,7 +198,7 @@
 		for (String line : keywordLines) {
 			String[] split = line.split("=", 2); //$NON-NLS-1$
 			if (split.length == 2) {
-				Query q = new Query(split[1]);
+				CQLQuery q = new CQLQuery(split[1]);
 				keywordQueriestoName.put(split[1], split[0]);
 				QueryResult result = corpus.query(q, "K"+nkeyword++, false); //$NON-NLS-1$
 				keywordStartPositions.put(split[1], result.getStarts());
@@ -229,7 +229,7 @@
 				if (hasLine(split[0])) {
 					System.out.println(TXMCoreMessages.QueryIndex_2+line);
 				} else {
-					QueryResult result = corpus.query(new Query(split[1]), "Q"+nquery++, false); //$NON-NLS-1$
+					QueryResult result = corpus.query(new CQLQuery(split[1]), "Q"+nquery++, false); //$NON-NLS-1$
 					int[] starts = result.getStarts();
 					int[] ends =  result.getEnds();
 
@@ -388,7 +388,7 @@
 	 * @return
 	 * @throws CqiClientException
 	 */
-	public QueryIndexLine addLine(String name, Query query) throws CqiClientException {
+	public QueryIndexLine addLine(String name, CQLQuery query) throws CqiClientException {
 		if (lines.containsKey(name)) return null;
 		QueryResult qresult = corpus.query(query, "tmp", true); //$NON-NLS-1$
 		//System.out.println(query.toString()+" "+qresult.getNMatch());
Index: tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ExpI.java
===================================================================
--- tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ExpI.java	(revision 1060)
+++ tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ExpI.java	(revision 1061)
@@ -31,7 +31,7 @@
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.QueryResult;
 import org.txm.searchengine.cqp.corpus.query.Match;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.searchengine.cqp.serverException.CqiServerError;
 import org.txm.statsengine.r.core.exceptions.RWorkspaceException;
 import org.txm.utils.logger.Log;
@@ -155,7 +155,7 @@
 				if (hasLine(split[0])) {
 					System.out.println(TXMCoreMessages.QueryIndex_2+line);
 				} else {
-					if (addLine(split[0], new Query(split[1])) == null) {
+					if (addLine(split[0], new CQLQuery(split[1])) == null) {
 						System.out.println(TXMCoreMessages.QueryIndex_3+line);
 					}
 					monitor.worked(1);
@@ -229,7 +229,7 @@
 	 * @return
 	 * @throws CqiClientException
 	 */
-	public QueryIndexLine addLine(String name, Query query) throws CqiClientException {
+	public QueryIndexLine addLine(String name, CQLQuery query) throws CqiClientException {
 		if (lines.containsKey(name)) return null;
 		QueryResult qresult = corpus.query(query, "tmp", true); //$NON-NLS-1$
 		//System.out.println(query.toString()+" "+qresult.getNMatch());
Index: tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/QueryIndexLine.java
===================================================================
--- tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/QueryIndexLine.java	(revision 1060)
+++ tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/QueryIndexLine.java	(revision 1061)
@@ -2,17 +2,17 @@
 
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.QueryResult;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 
 public class QueryIndexLine {
 	String name;
-	private Query query;
+	private CQLQuery query;
 	QueryResult[] qresults;
 	int[] freqs;
 	int total;
 
 
-	public QueryIndexLine(String name, Query query, QueryResult[] qresults) {
+	public QueryIndexLine(String name, CQLQuery query, QueryResult[] qresults) {
 		this.qresults = qresults;
 		this.query = query;
 		this.name = name;
@@ -22,7 +22,7 @@
 		return name;
 	}
 
-	public Query getQuery() {
+	public CQLQuery getQuery() {
 		return query;
 	}
 	
Index: tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ContextSubcorpus.java
===================================================================
--- tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ContextSubcorpus.java	(revision 1060)
+++ tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ContextSubcorpus.java	(revision 1061)
@@ -18,7 +18,7 @@
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.QueryResult;
 import org.txm.searchengine.cqp.corpus.Subcorpus;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.searchengine.cqp.serverException.CqiServerError;
 
 public class ContextSubcorpus extends TXMResult {
@@ -94,7 +94,7 @@
 		for (String line : keywordLines) {
 			String[] split = line.split("=", 2); //$NON-NLS-1$
 			if (split.length == 2) {
-				Query q = new Query(split[1]+" expand to "+contextSize);
+				CQLQuery q = new CQLQuery(split[1]+" expand to "+contextSize);
 				keywordQueriestoName.put(split[1], split[0]);
 				results.add(corpus.query(q, "K"+nkeyword++, false));
 
Index: tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ValuesOfQuery.java
===================================================================
--- tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ValuesOfQuery.java	(revision 1060)
+++ tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ValuesOfQuery.java	(revision 1061)
@@ -21,7 +21,7 @@
 import org.txm.searchengine.cqp.corpus.QueryResult;
 import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
 import org.txm.searchengine.cqp.corpus.query.Match;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.searchengine.cqp.serverException.CqiServerError;
 
 /**
@@ -33,11 +33,11 @@
 public class ValuesOfQuery extends TXMResult {
 
 	Corpus corpus;
-	Query query;
+	CQLQuery query;
 	Property prop;
 	int fmin;
 
-	public ValuesOfQuery(Corpus corpus, Query query, Property prop, int fmin)  {
+	public ValuesOfQuery(Corpus corpus, CQLQuery query, Property prop, int fmin)  {
 		super(corpus);
 		this.corpus = corpus;
 		this.query = query;
